Проблема с установкой пакета. Важниссимо!

Программы для конфигурации и управления операционной системой
Правила форума
Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа.
Аватара пользователя
camac
Сообщения: 46
Зарегистрирован: 02 сен 2016, 22:46
Откуда: Киев
Благодарил (а): 5 раз
Поблагодарили: 3 раза

Проблема с установкой пакета. Важниссимо!

Сообщение camac » 27 июн 2017, 09:36

Бодрого времени суток, господа.
Столкнулся с такой проблемой - при попытке установить в Синаптике pepperflashplugin-nonfree процесс на стадии настройки пакета вешается намертво.
Т. е. получается, что пакет установлен не полностью.
При команде sudo dpkg --configure -a происходит та же история. Часами висит сообщение -
Performing actions...
Настраивается пакет pepperflashplugin-nonfree

Удалить его тоже не могу - упорно требует предыдущую команду для устранения.

Выходит заколдованный круг.

Mint Cinnamon 18.1
Никто не знает столько, сколько не знаю я.

Аватара пользователя
SemenSinchenko
Сообщения: 314
Зарегистрирован: 17 фев 2017, 09:01
Решено: 2
Откуда: Москва
Благодарил (а): 40 раз
Поблагодарили: 40 раз

Проблема с установкой пакета. Важниссимо!

Сообщение SemenSinchenko » 27 июн 2017, 09:42

camac писал(а):Источник цитаты Удалить его тоже не могу - упорно требует предыдущую команду для устранения.

sudo dpkg --purge --force-all pepperflashplugin-nonfree тоже не выходит?

Вообще это странный пакет... Он по сути скачивает google-chrome проприетарный с репозиториев гугла, вытаскивает оттуда модуль, отвечающий за flash и размещает его в соответствующей папке... При этом раньше была такая фишка, что если google обновлял свой репозиторий, менял какое-нибудь название - то установка pepperflash висла

Аватара пользователя
symon2014
Сообщения: 1514
Зарегистрирован: 29 авг 2016, 02:17
Решено: 18
Откуда: Феодосия
Благодарил (а): 46 раз
Поблагодарили: 399 раз

Проблема с установкой пакета. Важниссимо!

Сообщение symon2014 » 27 июн 2017, 09:53

sudo apt install pepperflashplugin-nonfree
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Уже установлен пакет pepperflashplugin-nonfree самой новой версии (1.8.2ubuntu1.1).
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.

А можно подробностей?
:sry:
Debian (8.8) , LMDE2 , LM 18.2 Mate .

Аватара пользователя
camac
Сообщения: 46
Зарегистрирован: 02 сен 2016, 22:46
Откуда: Киев
Благодарил (а): 5 раз
Поблагодарили: 3 раза

Проблема с установкой пакета. Важниссимо!

Сообщение camac » 27 июн 2017, 10:27

SemenSinchenko, этот пакет устанавливает нормальный флеш.
Тот, который обычно идет по умолчанию, безнадежно устаревший и необходимые мне вещи просто не работают.
К сожалению очень многие "разработчики" онлайн приложений до сих пор не знают, что флеш "умер" и упорото на нем клепают.
Никто не знает столько, сколько не знаю я.

Аватара пользователя
camac
Сообщения: 46
Зарегистрирован: 02 сен 2016, 22:46
Откуда: Киев
Благодарил (а): 5 раз
Поблагодарили: 3 раза

Проблема с установкой пакета. Важниссимо!

Сообщение camac » 27 июн 2017, 10:30

SemenSinchenko писал(а):При этом раньше была такая фишка, что если google обновлял свой репозиторий, менял какое-нибудь название - то установка pepperflash висла

Видать мне несказанно повезло. На друго ПК месяц назад все прошло нормально.

PS: удалить получилось. Возник вопрос - а как эту заразу теперь установить?
Никто не знает столько, сколько не знаю я.

Аватара пользователя
darkfenix
Сообщения: 323
Зарегистрирован: 27 июн 2017, 10:36
Решено: 3
Благодарил (а): 25 раз
Поблагодарили: 54 раза

Проблема с установкой пакета. Важниссимо!

Сообщение darkfenix » 27 июн 2017, 10:47

http://www.opennet.ru/opennews/art.shtml?num=45084 еще осень 2016 в Adobe решили возобновить выпуск flashplayer для linux и поставить NPAPI/PPAPI плагин теперь можно командой sudo apt install adobe-flashplugin
1.png
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Последний раз редактировалось darkfenix 27 июн 2017, 10:56, всего редактировалось 1 раз.

Аватара пользователя
SemenSinchenko
Сообщения: 314
Зарегистрирован: 17 фев 2017, 09:01
Решено: 2
Откуда: Москва
Благодарил (а): 40 раз
Поблагодарили: 40 раз

Проблема с установкой пакета. Важниссимо!

Сообщение SemenSinchenko » 27 июн 2017, 10:48

camac писал(а):Источник цитаты а как эту заразу теперь установить?

А может есть смысл установить целиком google-chrome из репозиториев гугла? Там флеш встроенный...

Браузер то какой? Chromium?

Другой вариант - скачать с сайта Adobe Flash PPAPI версию и ручками раскидать библиотеки по папкам...

Аватара пользователя
Chocobo
Сообщения: 4581
Зарегистрирован: 27 авг 2016, 19:57
Решено: 108
Откуда: НН
Благодарил (а): 374 раза
Поблагодарили: 1227 раз

Проблема с установкой пакета. Важниссимо!

Сообщение Chocobo » 27 июн 2017, 10:54

darkfenix, Верное замечание, без пеппера весь флеш крутится норм, притом искаропки.

Код: Выделить всё

chocobo@desktop ~ $ apt policy  adobe-flashplugin
adobe-flashplugin:
  Установлен: 1:20170616.1-0ubuntu0.16.04.1
  Кандидат:   1:20170616.1-0ubuntu0.16.04.1
  Таблица версий:
 *** 1:20170616.1-0ubuntu0.16.04.1 500
        500 http://archive.canonical.com/ubuntu xenial/partner amd64 Packages
        100 /var/lib/dpkg/status

Код: Выделить всё

chocobo@desktop ~ $ apt policy pepperflashplugin-nonfree
pepperflashplugin-nonfree:
  Установлен: (отсутствует)
  Кандидат:   1.8.2ubuntu1.1
  Таблица версий:
     1.8.2ubuntu1.1 500
        500 http://mirror.corbina.net/ubuntu xenial-updates/multiverse amd64 Packages
     1.8.2ubuntu1 500
        500 http://mirror.corbina.net/ubuntu xenial/multiverse amd64 Packages


Правда Chrome/Chromium не использую в повседневности, мож они как подвязаны к тому гуглофлешу
Изображение

Аватара пользователя
darkfenix
Сообщения: 323
Зарегистрирован: 27 июн 2017, 10:36
Решено: 3
Благодарил (а): 25 раз
Поблагодарили: 54 раза

Проблема с установкой пакета. Важниссимо!

Сообщение darkfenix » 27 июн 2017, 10:57

Yandex.Browser, FF нормально подхватывают

Аватара пользователя
Chocobo
Сообщения: 4581
Зарегистрирован: 27 авг 2016, 19:57
Решено: 108
Откуда: НН
Благодарил (а): 374 раза
Поблагодарили: 1227 раз

Проблема с установкой пакета. Важниссимо!

Сообщение Chocobo » 27 июн 2017, 11:00

darkfenix, Ну вот. Яндекс тоже должен быть хромоподобным, схавает и хромиум, наверное
Изображение

Аватара пользователя
root
Сообщения: 539
Зарегистрирован: 16 фев 2017, 17:03
Решено: 3
Откуда: г. Хабаровск
Благодарил (а): 166 раз
Поблагодарили: 112 раз

Проблема с установкой пакета. Важниссимо!

Сообщение root » 27 июн 2017, 11:04

При желании, можно просто глянуть сам скрипт, который выполняет установку и проделать вручную все инструкции.
apt-get download pepperflashplugin-nonfree
Распаковываем deb пакет, идем по пути */data/usr/sbin/update-pepperflashplugin-nonfree, открываем, изучаем.
User: adminka
OS: Linux Mint 18.2 Sonya Cinnamon :thumbs:
Kernel: 4.11.0-14-generic
Devices ► Показать
Я не волшебник, я только учусь ;)

Аватара пользователя
darkfenix
Сообщения: 323
Зарегистрирован: 27 июн 2017, 10:36
Решено: 3
Благодарил (а): 25 раз
Поблагодарили: 54 раза

Проблема с установкой пакета. Важниссимо!

Сообщение darkfenix » 27 июн 2017, 11:10

root, если правильно помню - то google выпилил библиотеку libpepflashplayer.so из пакета гуглохрома...по этой причине скрипт и не может его установить

Аватара пользователя
root
Сообщения: 539
Зарегистрирован: 16 фев 2017, 17:03
Решено: 3
Откуда: г. Хабаровск
Благодарил (а): 166 раз
Поблагодарили: 112 раз

Проблема с установкой пакета. Важниссимо!

Сообщение root » 27 июн 2017, 11:23

darkfenix, судя по данным скрипта, библиотека скачивается отсюда https://fpdownload.adobe.com/pub/flashp ... _64.tar.gz. Вам остается лишь скопировать ее, куда нужно. Вот например, моя тема для настройки в Yandex browser работы flash-а. Сейчас не знаю, насколько актуальна данная заметка, но раньше это имело место быть. Вот и вам нужно сделать нечто подобное, только для хрома
User: adminka
OS: Linux Mint 18.2 Sonya Cinnamon :thumbs:
Kernel: 4.11.0-14-generic
Devices ► Показать
Я не волшебник, я только учусь ;)

Аватара пользователя
darkfenix
Сообщения: 323
Зарегистрирован: 27 июн 2017, 10:36
Решено: 3
Благодарил (а): 25 раз
Поблагодарили: 54 раза

Проблема с установкой пакета. Важниссимо!

Сообщение darkfenix » 27 июн 2017, 11:26

root, для ffmpeg они написали поиск и теперь не нужно ее копипастить

Аватара пользователя
root
Сообщения: 539
Зарегистрирован: 16 фев 2017, 17:03
Решено: 3
Откуда: г. Хабаровск
Благодарил (а): 166 раз
Поблагодарили: 112 раз

Проблема с установкой пакета. Важниссимо!

Сообщение root » 27 июн 2017, 11:30

Не по теме
darkfenix, этого следовало ожидать, странно, что он до сих пор в бете. Ну ды ладно, это к теме обсуждения ни коем образом не относится
User: adminka
OS: Linux Mint 18.2 Sonya Cinnamon :thumbs:
Kernel: 4.11.0-14-generic
Devices ► Показать
Я не волшебник, я только учусь ;)


Вернуться в «Системные утилиты»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей